<!-- navbar -->
<nav class="navbar navbar-expand-lg fixed-top">
    
    <div id="google_translate_element"></div>

<script type="text/javascript">
function googleTranslateElementInit() {
  new google.translate.TranslateElement({pageLanguage: 'en'}, 'google_translate_element');
}
</script>

<script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
    
    
    
    <div class="container">
        <a class="navbar-brand" href="<?php echo e(url('/')); ?>"> <img src="<?php echo e(getFile(config('location.logoIcon.path').'logo.png')); ?>" alt="<?php echo e(config('basic.site_title')); ?>" /></a>
        <button
            class="navbar-toggler p-0"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarNav"
            aria-controls="navbarNav"
            aria-expanded="false"
            aria-label="Toggle navigation"
        >
            <i class="far fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('home') ? 'active' : ''); ?>" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('about') ? 'active' : ''); ?>" href="<?php echo e(route('about')); ?>"><?php echo app('translator')->get('About Us'); ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('plan') ? 'active' : ''); ?>" href="<?php echo e(route('plan')); ?>"><?php echo app('translator')->get('Plan'); ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('blog') ? 'active' : ''); ?>" href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blogs'); ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('faq') ? 'active' : ''); ?>" href="<?php echo e(route('faq')); ?>"><?php echo app('translator')->get('FAQ'); ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?php echo e(Request::routeIs('contact') ? 'active' : ''); ?>" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                </li>
                <?php if(auth()->guard()->guest()): ?>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(Request::routeIs('login') ? 'active' : ''); ?>" href="<?php echo e(route('login')); ?>"><?php echo app('translator')->get('LOGIN'); ?></a>
                    </li>
                <?php endif; ?>
            </ul>
        </div>

        <?php if(auth()->guard()->check()): ?>
            <span class="navbar-text">
               <!-- notification panel -->
                <div class="notification-panel" id="pushNotificationArea">
                    <button class="dropdown-toggle">
                        <i class="far fa-bell"></i>
                        <span v-if="items.length > 0" class="count" v-cloak>{{items.length}}</span>
                    </button>
                    <ul :class = "(items.length > 0)?'notification-dropdown':'no-notification-dropdown'">
                        <div v-if="items.length > 0" class="dropdown-box">
                            <li v-for="(item, index) in items" @click.prevent="readAt(item.id, item.description.link)">
                                <a class="dropdown-item" href="javascript:void(0)">
                                    <i class="fal fa-bell"></i>
                                    <div class="text">
                                        <p v-cloak v-html="item.description.text" class="notification-heading"></p>
                                        <span class="time" v-cloak>{{ item.formatted_date }}</span>
                                    </div>
                                </a>
                            </li>
                        </div>
                        <div class="clear-all fixed-bottom">
                            <a href="javascript:void(0)" v-if="items.length > 0" @click.prevent="readAll"><?php echo app('translator')->get('Clear all'); ?></a>
                            <a href="javascript:void(0)" v-if="items.length == 0"
                               @click.prevent="readAll"><?php echo app('translator')->get('You have no notifications'); ?></a>
                        </div>
                    </ul>
                </div>

                <!-- user panel -->
               <div class="user-panel">
                  <span class="profile">
                     <img src="<?php echo e(getFile(config('location.user.path').auth()->user()->image)); ?>" alt="<?php echo app('translator')->get('user img'); ?>" class="img-fluid" />
                  </span>
                  <ul class="user-dropdown">
                      <li>
                            <a href="<?php echo e(route('user.home')); ?>"><i class="fal fa-border-all" aria-hidden="true"></i> <?php echo e(trans('Dashboard')); ?></a>
                      </li>

                      <li>
                        <a href="<?php echo e(route('user.profile')); ?>"><i class="far fa-user"></i> <?php echo app('translator')->get('My Profile'); ?></a>
                      </li>

                      <li>
                        <a href="<?php echo e(route('user.twostep.security')); ?>"><i class="far fa-key"></i> <?php echo app('translator')->get('2FA Security'); ?></a>
                      </li>
                      <li>
                        <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();">
                            <i class="far fa-sign-out-alt"></i>
                             <?php echo app('translator')->get('Logout'); ?>
                        </a>
                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                            <?php echo csrf_field(); ?>
                        </form>
                      </li>
                  </ul>
               </div>
            </span>
        <?php endif; ?>
    </div>
</nav>
<?php /**PATH /home/infikuqx/apexridgeoptions.com/resources/views/themes/darkpurple/partials/topbar.blade.php ENDPATH**/ ?>